import React, { Component } from 'react';
import './exchange-bar.scss'
import Input from '../Input'
import classnames from 'classnames'

class ExchangeBar extends Component {
    state = {}

    render() {
        const {onChange, exchangeCode, exchange} = this.props
        return (
            <div className="exchange-bar">
                <Input
                    placeholder={'请输入优惠码'}
                    onChange={onChange}
                />
                <button className={classnames({
                    active: exchangeCode && exchangeCode.length > 0
                })} onClick={exchange}>兑换
                </button>
            </div>
        );
    }
}

export default ExchangeBar;