import React, {Component} from 'react';

import './index.scss'


class BtnStatus extends Component {
    constructor(props) {
        super(props)
        this.state = {
            isbuy: 1
        }
    }

    render() {
        return (
            <div>
                {/*正常购买*/}
                {
                    this.props.status === 0 &&
                    <div className='btns-box'>
                        <a className='consult consult-s' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                        <button className='btn btn-s bg-FCCD05'>加入购物车</button>
                        <button className='btn btn-s bg-FD7700'>立即报名</button>
                    </div>
                }

                {/*已购买*/}
                {
                    this.props.status === 1 &&
                    <div className='btns-box'>
                        <a className='consult consult-m' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                        <button className='btn btn-m bg-09f'>开始学习</button>
                    </div>
                }
                {/*拼团 未开团*/}
                {
                    this.props.status === 2 && this.state.isbuy === 0 &&
                    <div className='btns-box'>
                        <a className='consult consult-s' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                        <button className='btn btn-s bg-F4AAA7'>
                            <span>¥149</span>
                            <span>直接购买</span>
                        </button>
                        <button className='btn btn-s bg-E02E24'>
                            <span>¥1</span>
                            <span>一键开团</span>
                        </button>
                    </div>
                }
                {/*拼团 已开团*/}
                {
                    this.props.status === 2 && this.state.isbuy === 1 &&
                    <div className='btns-box'>
                        <a className='consult consult-s' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                        <button className='btn btn-l bg-E02E24'>
                            邀请好友参团 23:32:23 后结束
                        </button>
                    </div>
                }

                {/*砍价*/}
                {
                    this.props.status === 3 &&
                    <div className='btns-box'>
                        <a className='consult consult-s' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                        <button className='btn btn-s bg-F4AAA7'>
                            <span>¥149</span>
                            <span>直接购买</span>
                        </button>
                        {
                            this.state.isbuy === 0 &&
                            <button className='btn btn-s bg-E02E24'>
                                我要砍价
                            </button>
                        }
                        {
                            this.state.isbuy === 1 &&
                            <button className='btn btn-s bg-E02E24'>
                                <span>¥1</span>
                                <span>去支付</span>
                            </button>
                        }
                    </div>
                }

                {/*特殊课程*/}
                {
                    this.props.status === 4 &&
                    <div className='btns-box'>
                        <a className='consult-l' href="https://q.url.cn/AB8aue?_type=wpa&qidian=true">
                            <i className='iconfont iconerji'></i>
                            <span>课程咨询</span>
                        </a>
                    </div>
                }
            </div>
        )
    }
}

export default BtnStatus;