import React from 'react';
import './button.scss'

import classnames from 'classnames'

const Button = ({children, active}) => {
    return (
        <button className={classnames('custom-button', {active})}>
            {children}
        </button>
    );
};

export default Button;