import React from 'react';
import './input.scss'
import classnames from "classnames";

function Input({
                   icon,
                   wrapperClass,
                   children,
                   ...rest
               }) {
    return (
        <div className={classnames('input-wrapper', wrapperClass)}>
            <input
                className='input'
                {...rest}
            />
            {icon}
            {children}
        </div>
    )
}


export default Input;