import React, { Component } from 'react';
import { Checkbox } from 'antd-mobile';
import OrderList from '@/common/OrderList';


class CartItem extends Component {
    // 构造函数
    constructor(props) {
        super(props)
        this.state = {
            val: props.item.value
        }
    }
    // 改变选择
    onChange(e, id) {
        let checked = e.target.checked;
        // console.log(checked,id)
        this.props.checkChange(id, checked)
    }
    // 修改购物车
    editCart(it, val) {
        
    }
    // 删除购物车
    delete(id) {
       
    }
    //跳转
    goto(id) {

       
    }
    //render
    render() {
        let item = this.props.item
        const Info = (
            <div className="order-info">
                <p className='order-title'>{item.title}</p>
                <p className='order-content'>{item.content}</p>
                <p className='order-des'>
                    <span className='order-newprice'>¥{item.newprice}</span>
                    <span className='order-price'>¥{item.price}</span>
                </p>
            </div>
        )

        return (
                <div className="cart-c-item" >
                    <div className="cart-c-check">
                        <Checkbox checked={item.check} onChange={(e) => {
                            this.onChange(e, item.id)
                        }} />
                    </div>
                    <div className="card-wrap">
                        
                        <OrderList info={Info}></OrderList>

                        
                    </div>    
                </div>

        )
    }
}
export default CartItem;