import React from 'react';
import { connect } from 'react-redux';
import { withRouter } from "react-router-dom";
import { compose } from "redux";


const Loading = ({user, history, state}) => {
    if (Object.values(user.data).filter(item => !!item).length !== 0) {
        history.replace(location.pathname)
    } else {
        history.replace('/passport', {...state})
    }
    return (
        <div className={'loading'}>
            loading...
        </div>
    );
};

export default compose(
    connect(
        state => ({user: state.user}),
        null
    ),
    withRouter
)(Loading);