import React, {Component} from 'react'
import './index.scss'
import {api, getParam, http, is_weixin} from "@/utils";


class Single extends Component {
    constructor(props) {
        super(props)
        this.state = {
            status: 1
        }
    }

    // 确定购买
    toBuy = () => {
        http.get(`${api.home}/sys/createClassOrder/${this.props.data.video_id}`).then((res) => {
            if (res.data.code === 200) {

            }
        })
        // this.setState({
        //     status: 2
        // })
    }

    // 关闭弹窗
    colse = () => {
        this.props.boxHide(false);
        this.setState({
            status: 1
        })
    }

    render() {
        {console.log(is_weixin(),1)}
        return (
            <div>
                {
                    this.props.singleBox &&
                    <div className='popup-box'>
                        {
                            this.state.status === 1 &&
                            <div className='content singleset-payment'>
                                <div className='price-box'>
                                    <span>实付款：</span>
                                    <p>{this.props.data.class_price}元</p>
                                </div>
                                <div className='course-info'>
                                    <p className='text-overflow-1'><span>课程：</span>
                                        {this.props.title}
                                    </p>
                                    <p className='text-overflow-1'><span>课时：</span>
                                        {this.props.data.name}
                                    </p>
                                </div>
                                <div className='payment-type'>
                                    <label>支付方式：</label>
                                    <p>
                                        <i className='iconfont iconzhifubaox-'></i>
                                        <span>支付宝</span>
                                        <i className='iconfont icondanseshixintubiao-5 redioed'></i>
                                    </p>
                                    <p>
                                        <i className='iconfont iconweixinzhifu buy'></i>
                                        <span>微信支付</span>
                                        <i className='iconfont icondanseshixintubiao-5 redio'></i>
                                    </p>
                                </div>
                                <div className='btn btn-18B4ED' onClick={this.toBuy}>确认购买</div>
                            </div>
                        }
                        {
                            this.state.status === 2 &&
                            <div className='content payment-success'>
                                <div className="header">
                                    <i className='iconfont icondanseshixintubiao-5'></i>
                                    <span>购买成功</span>
                                </div>
                                <div className="dec">· 3天内购买全集，可直接抵扣该集费用，275元购买。</div>
                                <div className="dec">· 超过3天，按照未够集数/全部集数等比例计费，280元购买全集。</div>
                                <div className='btn btn-18B4ED'>开始学习</div>
                                <div className='btn btn-FF4000'>￥275购买全集</div>
                            </div>
                        }
                        {
                            this.state.status === 3 &&
                            <div className='content zero'>
                                <div className="header">
                                    <i className='iconfont icondanseshixintubiao-5'></i>
                                    <span>购买成功</span>
                                </div>
                                <div className="dec">· 恭喜您获得0元拼团购买剩余课时的机会。</div>
                                <div className='btn btn-FF4000'>0元参团</div>
                            </div>
                        }
                        {
                            this.state.status === 4 &&
                            <div className='content zero'>
                                <div className="header">
                                    <i className='iconfont icondanseshixintubiao-5'></i>
                                    <span>购买成功</span>
                                </div>
                                <div className="dec">· 恭喜您获得0元购买剩余课时的机会。</div>
                                <div className='btn btn-FF4000'>0元购</div>
                            </div>
                        }
                        <i onClick={this.colse} className={'iconfont iconiconfront-2 close'}></i>
                    </div>
                }
            </div>

        );
    }

}

export default Single;
